Subject: Re: linux-next: build warning after merge of the regulator tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 2 Oct 2018 16:25:51 +1000

Hi Matti,

On Tue, 2 Oct 2018 09:16:44 +0300 Matti Vaittinen <[email-masked]> wrote:
>
> On Tue, Oct 02, 2018 at 01:07:48PM +1000, Stephen Rothwell wrote:
> > After merging the regulator tree, today's linux-next build (x86_64
> > allmodconfig) produced this warning:
> > 
> > drivers/mfd/rohm-bd718x7.c: In function 'bd718xx_i2c_probe':
> > drivers/mfd/rohm-bd718x7.c:101:23: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
> >   bd718xx->chip_type = (unsigned int)  
> 
> I am pretty sure the last patch version corrected this to
> +       bd71837->chip_type = (unsigned int)(uintptr_t)
> +                               of_device_get_match_data(&i2c->dev);
> 
> is it possible one of the earlier versions has accidentally been
> applied? Should I create patch on top of the last regulator tree or what
> is the simplest way fix this?

Sorry, this came from commit

  dd2be639f4a9 ("regulator/mfd: bd718xx: rename bd71837/bd71847 common instances")

which is later than the commit I noted.  In this later commit, this happens:

-	bd71837->chip_irq = i2c->irq;
-	bd71837->chip_type = (unsigned int)(uintptr_t)
+	bd718xx->chip_irq = i2c->irq;
+	bd718xx->chip_type = (unsigned int)
 				of_device_get_match_data(&i2c->dev);

-- 
Cheers,
Stephen Rothwell